Bug 216105 - Review Request: python-twisted-web - Twisted web server, programmable in Python
Review Request: python-twisted-web - Twisted web server, programmable in Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 171543 poker-network 221310
  Show dependency treegraph
 
Reported: 2006-11-17 05:16 EST by Thomas Vander Stichele
Modified: 2008-02-20 15:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-28 18:27:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2006-11-17 05:16:31 EST
Spec URL: http://thomas.apestaart.org/download/pkg/fedora-5-x86_64-extras/python-twisted-web-0.6.0-3.fc5/python-twisted-web.spec
SRPM URL: http://thomas.apestaart.org/download/pkg/fedora-5-x86_64-extras/python-twisted-web-0.6.0-3.fc5/python-twisted-web-0.6.0-3.fc5.src.rpm
Description:
Twisted is an event-based framework for internet applications.

Twisted Web is a complete web server, aimed at hosting web
applications using Twisted and Python, but fully able to serve static
pages, also.
Comment 1 Paul Howarth 2006-11-22 11:44:16 EST
Review
======

- package and spec file naming OK
- package meets guidelines
- license is MIT, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock for FC4-Rawhide, i386 and x86_64
- BR's OK
- no locale issues
- no shared libraries
- not relocatable
- no directory ownership or permissions issues
- %clean section present and correct
- macro usage consistent enough
- code, not content
- docs aren't excessively large
- docs don't affect runtime
- no subpackages
- no devel files present
- not a GUI app, no desktop file needed
- package seems to work OK (tested with bittorrent 5.0.1)

MUSTFIX:

* Include LICENSE as %doc

PROBLEM:

# rpm -qa python-twisted\*
python-twisted-web-0.6.0-4.fc6
python-twisted-core-2.4.0-4.fc6
# rpm -e python-twisted-web
Traceback (most recent call last):
  File "/usr/libexec/twisted-dropin-cache", line 16, in ?
    list(getPlugins(IPlugin))
--- <exception caught here> ---
  File "/usr/lib64/python2.4/site-packages/twisted/plugin.py", line 214, in
getPlugins
    adapted = interface(plugin, None)
  File "/usr/lib64/python2.4/site-packages/zope/interface/interface.py", line
658, in __call__
    adapter = conform(self)
  File "/usr/lib64/python2.4/site-packages/twisted/plugin.py", line 77, in
__conform__
    return self.load()
  File "/usr/lib64/python2.4/site-packages/twisted/plugin.py", line 72, in load
    return namedAny(self.dropin.moduleName + '.' + self.name)
  File "/usr/lib64/python2.4/site-packages/twisted/python/reflect.py", line 370,
in namedAny
    obj = getattr(obj, n)
exceptions.AttributeError: 'module' object has no attribute 'twisted_web'

I think that needs fixing.

NOTES:

* rpmlint output:
E: python-twisted-web no-binary
  This is to be expected for what is essentially a noarch package that has to
  live in an arch-specific place due to the way python works, i.e. not an issue

SUGGESTIONS:

* URL should be: http://twistedmatrix.com/trac/wiki/TwistedWeb
* Include NEWS as %doc

Comment 2 Kevin Fenzi 2006-12-16 14:46:00 EST
Hey Thomas. 

Any news on the mustfix/suggestion items from this review?
Comment 3 Jef Spaleta 2006-12-22 22:41:17 EST
thanks to python 2.5 now in the development tree you'll need a new 
Buildrequires: python-devel

You'll find the updated srpm and spec  which builds against current
fedora-development here:

http://jspaleta.thecodergeek.com/Fedora%20SRPMS/python-twisted-web/python-twisted-web-0.6.0-4.src.rpm
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/python-twisted-web/python-twisted-web.spec

I've also included the LICENSE and NEWS fileas as %doc and updated the URL tag
as suggested in the review comment

Comment 4 Thomas Vander Stichele 2006-12-26 07:40:20 EST
Paul, Kevin,

pulled in Jef's updated spec as is.

Any further comments, or can this be APPROVEd ?
Comment 5 Paul Howarth 2006-12-26 08:26:57 EST
Has anybody else seen the problem with the dropin cache at package removal time
that I mentioned in Comment #1?
Comment 6 Thomas Vander Stichele 2006-12-26 10:12:24 EST
I removed all my packages (including the divmod ones) and now I am able to
reproduce it.  Before I had it spuriously and couldn't figure out a way to debug it.

I dug a little deeper now and it seems that the Twisted code logs an exception
using its own log handler when it finds a plugin in the cache that is no longer
on disk.

Since this is the point of updating the cache - removing plugins that no longer
exist - I changed twisted-dropin-cache to not log on that particular error.

I pushed a new python-twisted-core package to extras that should fix this.
Comment 7 Kevin Fenzi 2006-12-26 15:28:12 EST
I don't see any more blockers here... using the new python-twisted-core from the
buildsys (it's not been pushed yet) I don't see any dropin cache issues.

Comment 8 Paul Howarth 2006-12-27 07:45:58 EST
OK, Approved.
Comment 9 Thomas Vander Stichele 2006-12-27 08:58:17 EST
imported, waiting for fc-6 branch
Comment 10 Thomas Vander Stichele 2006-12-28 18:27:58 EST
built, closing
Comment 11 Lubomir Kundrak 2008-02-17 11:15:48 EST
Thomas: I'm interested in EL-5 branch. Would you maintain it yourself or you
won't mind if I maintained it?
Comment 12 Lubomir Kundrak 2008-02-20 06:45:39 EST
This is a blocker for my package and the Fedora maintainer seems not to be
interested. cvsextras commits will be open and I'm willing aprove the Fedora
maintainer once he applies for ACLs.

Package Change Request
======================
Package Name: python-twisted-web
New Branches: EL-5
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-02-20 15:14:40 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.